<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <!--<properties resource="dev.properties"/>-->

    <context id="Mysql" targetRuntime="MyBatis3Simple" defaultModelType="flat">
        <property name="beginningDelimiter" value="`"/>
        <property name="endingDelimiter" value="`"/>
        <property name="mergeable" value="false"></property>
        <plugin type="tk.mybatis.mapper.generator.MapperPlugin">
            <property name="mappers" value="tk.mybatis.mapper.common.Mapper"/>
        </plugin>

        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://10.5.52.3:3306/xxfc_vehicle?useUnicode=true&amp;characterEncoding=UTF8"
                        userId="root"
                        password="sslcloud123*()">
        </jdbcConnection>

        <javaModelGenerator targetPackage="${targetModelPackage}" targetProject="${targetJavaProject}"/>

        <sqlMapGenerator targetPackage="${targetXMLPackage}" targetProject="${targetResourcesProject}"/>

        <javaClientGenerator targetPackage="${targetMapperPackage}" targetProject="${targetJavaProject}"
                             type="XMLMAPPER"/>

<!--        <table tableName="vehicle" domainObjectName="Vehicle">-->
<!--        </table>-->
<!--        <table tableName="vehicle_book_info" domainObjectName="VehicleBookInfo">-->
<!--        </table>-->
<!--        <table tableName="vehicle_book_record" domainObjectName="VehicleBookRecord">-->
<!--        </table>-->
<!--        <table tableName="branch_company" domainObjectName="BranchCompany">-->
<!--        </table>-->
<!--        <table tableName="branch_company_stock_info" domainObjectName="BranchCompanyStockInfo"></table>-->
<!--        <table tableName="branch_company_stock_apply_info" domainObjectName="BranchCompanyStockApplyInfo"></table>-->
        <table tableName="book_record_update_log" domainObjectName="BookRecordUpdateLog"></table>
<!--        <table tableName="vehicle_upkeep_log" domainObjectName="VehicleUpkeepLog"></table>-->
    </context>
</generatorConfiguration>